searchNodes=[{"doc":"Plaid Accounts API calls and schema.","ref":"Plaid.Accounts.html","title":"Plaid.Accounts","type":"module"},{"doc":"Get information about all available accounts.Does a POST /accounts/get call to retrieve high level account information associated with an access_token's item.Params:access_token - Token to fetch accounts for.Options:account_ids - Specific account ids to fetch accounts for.Examplesget(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Accounts.GetResponse{}}","ref":"Plaid.Accounts.html#get/3","title":"Plaid.Accounts.get/3","type":"function"},{"doc":"Get information about all available balances.Does a POST /accounts/balance/get call to retrieve real-time balance information for all accounts associated with an access_token's item.This API call will force balances to be refreshed, rather than use the cache like other API calls that return balances.Params:access_token - Token to fetch accounts for.Options:account_ids - Specific account ids to fetch balances for.Examplesget_balance(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Accounts.GetResponse{}}","ref":"Plaid.Accounts.html#get_balance/3","title":"Plaid.Accounts.get_balance/3","type":"function"},{"doc":"Plaid Asset Reports API calls and schema.","ref":"Plaid.AssetReport.html","title":"Plaid.AssetReport","type":"module"},{"doc":"Create an Asset Report.Does a POST /asset_report/create call to initiate the process of creating an asset report.Params:access_tokens - List of tokens coresponding to the items that will be included in the report.days_requested - The days of history to include in the asset report.Options:client_report_id - Client-generated identifier, which can be used by lenders to track loan applications.webhook - URL Plaid will use to send webhooks for when the asset report is ready.user - Information about the user to be appended to the asset report. See Plaid.AssetReport.User for available fields.Examplescreate([&quot;access-sandbox-123xxx&quot;], 3, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.AsyncResponse{}}","ref":"Plaid.AssetReport.html#create/4","title":"Plaid.AssetReport.create/4","type":"function"},{"doc":"Create an audit copy token.Does a POST /asset_report/audit_copy/create call to create an audit copy token which can be sent to participating auditors.Params:asset_report_token - The token for which you want to create an audit copy.auditor_id - The auditor_id of the third party with whom you would like to share the Asset Report.Examplescreate_audit_copy(&quot;assets-sandbox-123xxx&quot;, &quot;fannie_mae&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.CreateAuditCopyResponse{}}","ref":"Plaid.AssetReport.html#create_audit_copy/3","title":"Plaid.AssetReport.create_audit_copy/3","type":"function"},{"doc":"Create a new, filtered Asset Report.Does a POST /asset_report/filter call to initiate the process of creating a new asset report with filtered accounts, based off of a previous one.Params:asset_report_token - The token for the asset report you want to refresh.account_ids_to_exclude - The accounts to exclude from the original Asset Report.Examplesfilter(&quot;assets-sandbox-123xxx&quot;, [&quot;123xxx&quot;], client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.AsyncResponse{}}","ref":"Plaid.AssetReport.html#filter/3","title":"Plaid.AssetReport.filter/3","type":"function"},{"doc":"Get an asset report.Does a POST /asset_report/get call to fetch an asset report.Params:asset_report_token - The asset report token from the create_report response.Options: include_insights - Whether we should retrieve the report as an &quot;Assets + Insights&quot; report.Examplesget(&quot;asset-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.GetResponse{}}","ref":"Plaid.AssetReport.html#get/3","title":"Plaid.AssetReport.get/3","type":"function"},{"doc":"Get an asset report as a PDF.Does a POST /asset_report/pdf/get call to fetch an asset report as a PDF.Params:asset_report_token - The asset report token from the create_report response.Examplesget_pdf(&quot;asset-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, &lt;&lt;0, 1, 2, 3&gt;&gt;}","ref":"Plaid.AssetReport.html#get_pdf/2","title":"Plaid.AssetReport.get_pdf/2","type":"function"},{"doc":"Create a new, refreshed Asset Report.Does a POST /asset_report/refresh call to initiate the process of creating a new asset report with refreshed data, based off of a previous one.Params:asset_report_token - The token for the asset report you want to refresh.Options:client_report_id - Client-generated identifier, which can be used by lenders to track loan applications.days_requested - The days of history to include in the asset report.webhook - URL Plaid will use to send webhooks for when the asset report is ready.user - Information about the user to be appended to the asset report. See Plaid.AssetReport.User for available fields.Each option above acts as an &quot;override&quot; of the original values passed to create/4. Meaning when not specified, values from the original create/4 request will be used.Examplesrefresh(&quot;assets-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.AsyncResponse{}}","ref":"Plaid.AssetReport.html#refresh/3","title":"Plaid.AssetReport.refresh/3","type":"function"},{"doc":"Remove an Asset Report.Does a POST /asset_report/remove call to remove an asset report and invalidate its asset_report_token.Params:asset_report_token - The token for the asset report you want to remove.Examplesremove(&quot;assets-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.RemoveResponse{}}","ref":"Plaid.AssetReport.html#remove/2","title":"Plaid.AssetReport.remove/2","type":"function"},{"doc":"Remove an Asset Report Audit Copy.Does a POST /asset_report/audit_copy/remove call to remove an audit copy and invalidate its audit_copy_token.Params:audit_copy_token - The token for the asset report audit copy you want to remove.Examplesremove_audit_copy(&quot;a-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.AssetReport.RemoveAuditCopyResponse{}}","ref":"Plaid.AssetReport.html#remove_audit_copy/2","title":"Plaid.AssetReport.remove_audit_copy/2","type":"function"},{"doc":"Plaid Auth API calls and schema.","ref":"Plaid.Auth.html","title":"Plaid.Auth","type":"module"},{"doc":"Get information about account and routing numbers for checking and savings accounts.Does a POST /auth/get call which returns high level account information along with account and routing numbers for checking and savings accounts.Params:access_token - Token to fetch accounts for.Options:account_ids - Specific account ids to fetch balances for.Examplesget(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Auth.GetResponse{}}","ref":"Plaid.Auth.html#get/3","title":"Plaid.Auth.get/3","type":"function"},{"doc":"Plaid Categories API calls and schema.","ref":"Plaid.Categories.html","title":"Plaid.Categories","type":"module"},{"doc":"Get information about all Plaid categories.Does a POST /categories/get call to retrieve a list of all categories.No authentication required.Exampleget() {:ok, %Plaid.Categories.GetResponse{}}","ref":"Plaid.Categories.html#get/1","title":"Plaid.Categories.get/1","type":"function"},{"doc":"Plaid Identity API calls and schema.","ref":"Plaid.Identity.html","title":"Plaid.Identity","type":"module"},{"doc":"Get information about all available accounts.Does a POST /identity/get call to retrieve account information, along with the owners info for each account associated with an access_token's item.Params:access_token - Token to fetch identity for.Options:account_ids - Specific account ids to fetch identity for.Examplesget(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Accounts.GetResponse{}}","ref":"Plaid.Identity.html#get/3","title":"Plaid.Identity.get/3","type":"function"},{"doc":"","ref":"Plaid.Identity.html#t:t/0","title":"Plaid.Identity.t/0","type":"type"},{"doc":"Plaid Institutions API calls and schema.","ref":"Plaid.Institutions.html","title":"Plaid.Institutions","type":"module"},{"doc":"Get information about Plaid institutions.Does a POST /institutions/get call to list the supported Plaid institutions with their details.Params:count - The total number of Institutions to return.:offset - The number of Institutions to skip.:country_codes - Array of country codes the institution supports.Options:products - Filter based on which products they support.:routing_numbers - Filter based on routing numbers.:oauth - Filter institutions with or without OAuth login flows. :include_optional_metadata - When true, return the institution's homepage URL, logo and primary brand color.ExamplesInstitutions.get(%{count: 25, offset: 0, country_codes: [&quot;CA&quot;, &quot;GB]}, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Institutions.GetResponse{}}","ref":"Plaid.Institutions.html#get/3","title":"Plaid.Institutions.get/3","type":"function"},{"doc":"Get information about a Plaid institution.Does a POST /institutions/get_by_id call to retrieve a Plaid institution by it's ID.Paramsinstitution_id - The ID of the institution to get details about.country_codes - Array of country codes the institution supports.Options:include_optional_metadata - When true, return the institution's homepage URL, logo and primary brand color.:include_status - When true, the response will include status information about the institution.ExamplesInstitutions.get_by_id(&quot;ins_1&quot;, [&quot;CA&quot;, &quot;GB], client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Institutions.GetByIdResponse{}}","ref":"Plaid.Institutions.html#get_by_id/4","title":"Plaid.Institutions.get_by_id/4","type":"function"},{"doc":"Get information about all Plaid institutions matching the search params.Does a POST /institutions/search call to list the supported Plaid institutions with their details based on your search query.Params:query - The search query. Institutions with names matching the query are returned:products - Filter the Institutions based on whether they support listed products.:country_codes - Array of country codes the institution supports.Options:include_optional_metadata - When true, return the institution's homepage URL, logo and primary brand color.:oauth - Filter institutions with or without OAuth login flows.:account_filter - Object allowing account type -&gt; sub-type filtering.See Account Type Schema for more details on the account_filter option.ExamplesInstitutions.search(%{query: &quot;Ally&quot;, products: [&quot;auth&quot;], country_codes: [&quot;US&quot;]}, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Institutions.SearchResponse{}}","ref":"Plaid.Institutions.html#search/3","title":"Plaid.Institutions.search/3","type":"function"},{"doc":"Plaid Investments APIs","ref":"Plaid.Investments.html","title":"Plaid.Investments","type":"module"},{"doc":"Get user-authorized stock position data for investment-type accounts.Does a POST /investments/holdings/get call to retrieve invesment holdings associated with an access_token's item.Params:access_token - Token to fetch investment holdings for.Options:account_ids - Specific account ids to fetch investment holdings for.Examplesget_holdings(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Investments.GetHoldingsResponse{}}","ref":"Plaid.Investments.html#get_holdings/3","title":"Plaid.Investments.get_holdings/3","type":"function"},{"doc":"Get information about all available investment transactions.Does a POST /investments/transactions/get call which gives you high level account data along with investment transactions and associated securities from all investment accounts contained in the access_token's item.Params:access_token - Token to fetch investment holdings for.start_date - Start of query for investment transactions.end_date - End of query for investment transactions.Options:account_ids - Specific account ids to fetch investment holdings for.count - Amount of investment transactions to pull (optional).offset - Offset to start pulling investment transactions (optional).Examplesget_transactions(&quot;access-sandbox-123xxx&quot;, &quot;2020-01-01&quot;, &quot;2020-01-31&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Investments.GetTransactionsResponse{}}","ref":"Plaid.Investments.html#get_transactions/5","title":"Plaid.Investments.get_transactions/5","type":"function"},{"doc":"Plaid Item API calls and schema.","ref":"Plaid.Item.html","title":"Plaid.Item","type":"module"},{"doc":"Get information about an item.Does a POST /item/get call which returns information about an item and its status.Paramsaccess_token - The access token associated with the item.ExamplesItem.get(&quot;access-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Item.GetResponse{}}","ref":"Plaid.Item.html#get/2","title":"Plaid.Item.get/2","type":"function"},{"doc":"Removes an item.Does a POST /item/remove call to remove an item.Paramsaccess_token - The access token associated with the item.ExamplesItem.remove(&quot;access-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.SimpleResponse{}}","ref":"Plaid.Item.html#remove/2","title":"Plaid.Item.remove/2","type":"function"},{"doc":"Update a webhook for an access_token.Does a POST /item/webhook/update call which is used to update webhook for a particular access_token. Paramsaccess_token - The access token associated with the item.webhook - The new webhook URL.ExamplesItem.update_webhook( &quot;access-prod-123xxx&quot;, &quot;https://plaid.com/fake/webhook&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot; ) {:ok, %Plaid.UpdateWebhookResponse{}}","ref":"Plaid.Item.html#update_webhook/3","title":"Plaid.Item.update_webhook/3","type":"function"},{"doc":"","ref":"Plaid.Item.html#t:t/0","title":"Plaid.Item.t/0","type":"type"},{"doc":"Plaid Liabilities API calls and schema.","ref":"Plaid.Liabilities.html","title":"Plaid.Liabilities","type":"module"},{"doc":"Get liabilities information.Does a POST /liabilities/get call which fetches liabilities associated with an access_token's item.Params:access_token - Token to fetch liabilities for.Options:account_ids - Specific account ids to fetch liabilities for.Examplesget(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Liabilities.GetResponse{}}","ref":"Plaid.Liabilities.html#get/3","title":"Plaid.Liabilities.get/3","type":"function"},{"doc":"","ref":"Plaid.Liabilities.html#t:t/0","title":"Plaid.Liabilities.t/0","type":"type"},{"doc":"Plaid Payment Initiation API calls and schema.","ref":"Plaid.PaymentInitiation.html","title":"Plaid.PaymentInitiation","type":"module"},{"doc":"Create a payment for a recipient.Does a POST /payment_initiation/payment/create call which creates a one-time or standing (recurring) payment for a recipient.Paramsrecipient_id - The ID of the recipient the payment is for.reference - A reference for the payment.amount - A payment amount.Options:schedule - The schedule that the payment will be executed on.ExamplesPaymentInitiation.create_payment( &quot;recipient-id-prod-123xxx&quot;, &quot;Purchase Order 123&quot;, %PaymentInitiation.Amount{currency: &quot;GBP&quot;, value: 200}, %{ schedule: %Plaid.PaymentInitiation.Schedule{ interval: &quot;WEEKLY&quot;, interval_execution_day: 2, start_date: &quot;2021-01-01&quot;, end_date: &quot;2021-01-31&quot; } }, client_id: &quot;123&quot;, secret: &quot;abc&quot; ) {:ok, %PaymentInitiation.CreateRecipientResponse{}}","ref":"Plaid.PaymentInitiation.html#create_payment/5","title":"Plaid.PaymentInitiation.create_payment/5","type":"function"},{"doc":"Create a recipient for payment initiation.Does a POST /payment_initiation/recipient/create call which creates a payment recipient for payment initiation. The endpoint is idempotent: if a request has already been made with the same payment details, Plaid will return the same recipient_id.Paramsname - The name of the recipient.Options:iban - The International Bank Account Number (IBAN) for the recipient.:bacs - The sort code of the account.:address - The address of the payment recipient.If :bacs data is not provided, :iban becomes required.ExamplesPaymentInitiation.create_recipient(&quot;Wonder Wallet&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %PaymentInitiation.CreateRecipientResponse{}}","ref":"Plaid.PaymentInitiation.html#create_recipient/3","title":"Plaid.PaymentInitiation.create_recipient/3","type":"function"},{"doc":"Get payment details.Does a POST /payment_initiation/payment/create call to get details about a payment.Paramspayment_id - The payment_id returned from /payment_initiation/payment/create.ExamplesPaymentInitiation.get_payment( &quot;payment-id-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot; ) {:ok, %PaymentInitiation.GetPaymentResponse{}}","ref":"Plaid.PaymentInitiation.html#get_payment/2","title":"Plaid.PaymentInitiation.get_payment/2","type":"function"},{"doc":"Get a recipient for payment initiation.Does a POST /payment_initiation/recipient/get call to get details about a payment recipient.Paramsrecipient_id - The ID of the recipient.ExamplesPaymentInitiation.get_recipient(&quot;recipient-id-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %PaymentInitiation.GetRecipientResponse{}}","ref":"Plaid.PaymentInitiation.html#get_recipient/2","title":"Plaid.PaymentInitiation.get_recipient/2","type":"function"},{"doc":"List payments.Does a POST /payment_initiation/payment/list call to get all created payments.Options:count - The maximum number of payments to return.:cursor - A date string in RFC 3339 format. Only payments created before the cursor will be returned.ExamplesPaymentInitiation.list_payments( client_id: &quot;123&quot;, secret: &quot;abc&quot; ) {:ok, %PaymentInitiation.ListPaymentsResponse{}}","ref":"Plaid.PaymentInitiation.html#list_payments/2","title":"Plaid.PaymentInitiation.list_payments/2","type":"function"},{"doc":"List the payment recipients that you have previously created.Does a POST /payment_initiation/recipient/list call to list all recipients you have previously created.ExamplesPaymentInitiation.list_recipients(client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %PaymentInitiation.ListRecipientsResponse{}}","ref":"Plaid.PaymentInitiation.html#list_recipients/1","title":"Plaid.PaymentInitiation.list_recipients/1","type":"function"},{"doc":"Plaid Transactions API calls and schema.","ref":"Plaid.Transactions.html","title":"Plaid.Transactions","type":"module"},{"doc":"Get information about transactions.Does a POST /transactions/get call which gives you high level account data along with transactions from all accounts contained in the access_token's item.Params:access_token - Token to fetch transactions for.start_date - Start of query for transactions.end_date - End of query for transactions.Options:account_ids - Specific account ids to fetch balances for.count - Amount of transactions to pull.offset - Offset to start pulling transactions.Exampleget(&quot;access-sandbox-123xxx&quot;, &quot;2019-10-10&quot;, &quot;2019-10-20&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.Transactions.GetResponse{}}","ref":"Plaid.Transactions.html#get/5","title":"Plaid.Transactions.get/5","type":"function"},{"doc":"Manually refresh transactions.Does a POST /transactions/refresh call which kicks off a manual transactions extraction for all accounts contained in the access_token's item.access_token - Token to fetch transactions for.Examples refresh(&quot;access-sandbox-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) {:ok, %Plaid.SimpleResponse{}}","ref":"Plaid.Transactions.html#refresh/2","title":"Plaid.Transactions.refresh/2","type":"function"},{"doc":"Verify webhooks from plaid and construct the raw body into structs","ref":"Plaid.Webhooks.html","title":"Plaid.Webhooks","type":"module"},{"doc":"Verify that a webhook is actually from plaid, constructing the raw body into an event struct.Adheres to the guidelines outlined in this guide from plaid to verify webhooks. In-Progress: Only missing piece from the plaid guidelines is public key caching.Also constructs the raw_body into an event struct.Examplesverify_and_construct( &quot;eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c&quot;, ~s({&quot;webhook_type&quot;: &quot;ITEM&quot;, &quot;webhook_code&quot;: &quot;ERROR&quot;}), client_id: &quot;abc&quot;, secret: &quot;123&quot; ) {:ok, %Plaid.Webhooks.ItemError{}}","ref":"Plaid.Webhooks.html#verify_and_construct/3","title":"Plaid.Webhooks.verify_and_construct/3","type":"function"},{"doc":"Plaid Account schema.","ref":"Plaid.Accounts.Account.html","title":"Plaid.Accounts.Account","type":"module"},{"doc":"","ref":"Plaid.Accounts.Account.html#t:t/0","title":"Plaid.Accounts.Account.t/0","type":"type"},{"doc":"Plaid Balances schema.","ref":"Plaid.Accounts.Account.Balances.html","title":"Plaid.Accounts.Account.Balances","type":"module"},{"doc":"","ref":"Plaid.Accounts.Account.Balances.html#t:t/0","title":"Plaid.Accounts.Account.Balances.t/0","type":"type"},{"doc":"Plaid Account Historical Balances schemaOnly used when retrieving Asset Report's.","ref":"Plaid.Accounts.Account.HistoricalBalances.html","title":"Plaid.Accounts.Account.HistoricalBalances","type":"module"},{"doc":"","ref":"Plaid.Accounts.Account.HistoricalBalances.html#t:t/0","title":"Plaid.Accounts.Account.HistoricalBalances.t/0","type":"type"},{"doc":"Plaid Accounts API calls and schema.","ref":"Plaid.Accounts.GetResponse.html","title":"Plaid.Accounts.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Accounts.GetResponse.html#t:t/0","title":"Plaid.Accounts.GetResponse.t/0","type":"type"},{"doc":"Plaid Asset Report schema used when generating asset reports.Async because it only returns a token, the actual asset-report needs to be fetched after the proper webhook is received. See docs.","ref":"Plaid.AssetReport.AsyncResponse.html","title":"Plaid.AssetReport.AsyncResponse","type":"module"},{"doc":"","ref":"Plaid.AssetReport.AsyncResponse.html#t:t/0","title":"Plaid.AssetReport.AsyncResponse.t/0","type":"type"},{"doc":"Plaid Asset Report create audit copy response schema","ref":"Plaid.AssetReport.CreateAuditCopyResponse.html","title":"Plaid.AssetReport.CreateAuditCopyResponse","type":"module"},{"doc":"","ref":"Plaid.AssetReport.CreateAuditCopyResponse.html#t:t/0","title":"Plaid.AssetReport.CreateAuditCopyResponse.t/0","type":"type"},{"doc":"Plaid Asset Report Get Response schema","ref":"Plaid.AssetReport.GetResponse.html","title":"Plaid.AssetReport.GetResponse","type":"module"},{"doc":"","ref":"Plaid.AssetReport.GetResponse.html#t:t/0","title":"Plaid.AssetReport.GetResponse.t/0","type":"type"},{"doc":"Plaid Asset Report remove audit copy response schema.","ref":"Plaid.AssetReport.RemoveAuditCopyResponse.html","title":"Plaid.AssetReport.RemoveAuditCopyResponse","type":"module"},{"doc":"","ref":"Plaid.AssetReport.RemoveAuditCopyResponse.html#t:t/0","title":"Plaid.AssetReport.RemoveAuditCopyResponse.t/0","type":"type"},{"doc":"Plaid Asset Report remove response schema.","ref":"Plaid.AssetReport.RemoveResponse.html","title":"Plaid.AssetReport.RemoveResponse","type":"module"},{"doc":"","ref":"Plaid.AssetReport.RemoveResponse.html#t:t/0","title":"Plaid.AssetReport.RemoveResponse.t/0","type":"type"},{"doc":"Plaid Asset Report schema","ref":"Plaid.AssetReport.Report.html","title":"Plaid.AssetReport.Report","type":"module"},{"doc":"","ref":"Plaid.AssetReport.Report.html#t:t/0","title":"Plaid.AssetReport.Report.t/0","type":"type"},{"doc":"Plaid Asset Report Item schema","ref":"Plaid.AssetReport.Report.Item.html","title":"Plaid.AssetReport.Report.Item","type":"module"},{"doc":"","ref":"Plaid.AssetReport.Report.Item.html#t:t/0","title":"Plaid.AssetReport.Report.Item.t/0","type":"type"},{"doc":"Plaid Asset Report User schema.","ref":"Plaid.AssetReport.User.html","title":"Plaid.AssetReport.User","type":"module"},{"doc":"","ref":"Plaid.AssetReport.User.html#t:t/0","title":"Plaid.AssetReport.User.t/0","type":"type"},{"doc":"Plaid Asset Report Warning schema","ref":"Plaid.AssetReport.Warning.html","title":"Plaid.AssetReport.Warning","type":"module"},{"doc":"","ref":"Plaid.AssetReport.Warning.html#t:t/0","title":"Plaid.AssetReport.Warning.t/0","type":"type"},{"doc":"Plaid Asset Report Warning Cause schema","ref":"Plaid.AssetReport.Warning.Cause.html","title":"Plaid.AssetReport.Warning.Cause","type":"module"},{"doc":"","ref":"Plaid.AssetReport.Warning.Cause.html#t:t/0","title":"Plaid.AssetReport.Warning.Cause.t/0","type":"type"},{"doc":"Plaid API /auth/get response.","ref":"Plaid.Auth.GetResponse.html","title":"Plaid.Auth.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Auth.GetResponse.html#t:t/0","title":"Plaid.Auth.GetResponse.t/0","type":"type"},{"doc":"Plaid Numbers schema.","ref":"Plaid.Auth.Numbers.html","title":"Plaid.Auth.Numbers","type":"module"},{"doc":"","ref":"Plaid.Auth.Numbers.html#t:t/0","title":"Plaid.Auth.Numbers.t/0","type":"type"},{"doc":"Plaid Numbers ACH schema.","ref":"Plaid.Auth.Numbers.ACH.html","title":"Plaid.Auth.Numbers.ACH","type":"module"},{"doc":"","ref":"Plaid.Auth.Numbers.ACH.html#t:t/0","title":"Plaid.Auth.Numbers.ACH.t/0","type":"type"},{"doc":"Plaid Numbers BACS schema.","ref":"Plaid.Auth.Numbers.BACS.html","title":"Plaid.Auth.Numbers.BACS","type":"module"},{"doc":"","ref":"Plaid.Auth.Numbers.BACS.html#t:t/0","title":"Plaid.Auth.Numbers.BACS.t/0","type":"type"},{"doc":"Plaid Numbers EFT schema.","ref":"Plaid.Auth.Numbers.EFT.html","title":"Plaid.Auth.Numbers.EFT","type":"module"},{"doc":"","ref":"Plaid.Auth.Numbers.EFT.html#t:t/0","title":"Plaid.Auth.Numbers.EFT.t/0","type":"type"},{"doc":"Plaid Numbers International schema.","ref":"Plaid.Auth.Numbers.International.html","title":"Plaid.Auth.Numbers.International","type":"module"},{"doc":"","ref":"Plaid.Auth.Numbers.International.html#t:t/0","title":"Plaid.Auth.Numbers.International.t/0","type":"type"},{"doc":"Plaid Category schema.","ref":"Plaid.Categories.Category.html","title":"Plaid.Categories.Category","type":"module"},{"doc":"","ref":"Plaid.Categories.Category.html#t:t/0","title":"Plaid.Categories.Category.t/0","type":"type"},{"doc":"Plaid /categories/get API response.","ref":"Plaid.Categories.GetResponse.html","title":"Plaid.Categories.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Categories.GetResponse.html#t:t/0","title":"Plaid.Categories.GetResponse.t/0","type":"type"},{"doc":"Plaid Identity Address schema.","ref":"Plaid.Identity.Address.html","title":"Plaid.Identity.Address","type":"module"},{"doc":"","ref":"Plaid.Identity.Address.html#t:t/0","title":"Plaid.Identity.Address.t/0","type":"type"},{"doc":"Plaid Identity Email schema.","ref":"Plaid.Identity.Email.html","title":"Plaid.Identity.Email","type":"module"},{"doc":"","ref":"Plaid.Identity.Email.html#t:t/0","title":"Plaid.Identity.Email.t/0","type":"type"},{"doc":"Plaid API /identity/get response.","ref":"Plaid.Identity.GetResponse.html","title":"Plaid.Identity.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Identity.GetResponse.html#t:t/0","title":"Plaid.Identity.GetResponse.t/0","type":"type"},{"doc":"Plaid Identity Phone Number schema.","ref":"Plaid.Identity.PhoneNumber.html","title":"Plaid.Identity.PhoneNumber","type":"module"},{"doc":"","ref":"Plaid.Identity.PhoneNumber.html#t:t/0","title":"Plaid.Identity.PhoneNumber.t/0","type":"type"},{"doc":"Plaid Institution schema","ref":"Plaid.Institution.html","title":"Plaid.Institution","type":"module"},{"doc":"","ref":"Plaid.Institution.html#t:t/0","title":"Plaid.Institution.t/0","type":"type"},{"doc":"Plaid institution status schema.","ref":"Plaid.Institution.Status.html","title":"Plaid.Institution.Status","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.html#t:t/0","title":"Plaid.Institution.Status.t/0","type":"type"},{"doc":"Plaid institution auth status schema.","ref":"Plaid.Institution.Status.Auth.html","title":"Plaid.Institution.Status.Auth","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.Auth.html#t:t/0","title":"Plaid.Institution.Status.Auth.t/0","type":"type"},{"doc":"Plaid institution balance status schema.","ref":"Plaid.Institution.Status.Balance.html","title":"Plaid.Institution.Status.Balance","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.Balance.html#t:t/0","title":"Plaid.Institution.Status.Balance.t/0","type":"type"},{"doc":"Plaid institution status breakdown schema.","ref":"Plaid.Institution.Status.Breakdown.html","title":"Plaid.Institution.Status.Breakdown","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.Breakdown.html#t:t/0","title":"Plaid.Institution.Status.Breakdown.t/0","type":"type"},{"doc":"Plaid institution status health incident schema.","ref":"Plaid.Institution.Status.HealthIncident.html","title":"Plaid.Institution.Status.HealthIncident","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.HealthIncident.html#t:t/0","title":"Plaid.Institution.Status.HealthIncident.t/0","type":"type"},{"doc":"Plaid institution status health incident update schema.","ref":"Plaid.Institution.Status.HealthIncidentUpdate.html","title":"Plaid.Institution.Status.HealthIncidentUpdate","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.HealthIncidentUpdate.html#t:t/0","title":"Plaid.Institution.Status.HealthIncidentUpdate.t/0","type":"type"},{"doc":"Plaid institution identity status schema.","ref":"Plaid.Institution.Status.Identity.html","title":"Plaid.Institution.Status.Identity","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.Identity.html#t:t/0","title":"Plaid.Institution.Status.Identity.t/0","type":"type"},{"doc":"Plaid institution investments updates status schema.","ref":"Plaid.Institution.Status.InvestmentsUpdates.html","title":"Plaid.Institution.Status.InvestmentsUpdates","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.InvestmentsUpdates.html#t:t/0","title":"Plaid.Institution.Status.InvestmentsUpdates.t/0","type":"type"},{"doc":"Plaid institution item logins status schema.","ref":"Plaid.Institution.Status.ItemLogins.html","title":"Plaid.Institution.Status.ItemLogins","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.ItemLogins.html#t:t/0","title":"Plaid.Institution.Status.ItemLogins.t/0","type":"type"},{"doc":"Plaid institution transactions updates status schema.","ref":"Plaid.Institution.Status.TransactionsUpdates.html","title":"Plaid.Institution.Status.TransactionsUpdates","type":"module"},{"doc":"","ref":"Plaid.Institution.Status.TransactionsUpdates.html#t:t/0","title":"Plaid.Institution.Status.TransactionsUpdates.t/0","type":"type"},{"doc":"Plaid API /institutions/get_by_id response schema.","ref":"Plaid.Institutions.GetByIdResponse.html","title":"Plaid.Institutions.GetByIdResponse","type":"module"},{"doc":"","ref":"Plaid.Institutions.GetByIdResponse.html#t:t/0","title":"Plaid.Institutions.GetByIdResponse.t/0","type":"type"},{"doc":"Plaid API /institutions/get response schema.","ref":"Plaid.Institutions.GetResponse.html","title":"Plaid.Institutions.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Institutions.GetResponse.html#t:t/0","title":"Plaid.Institutions.GetResponse.t/0","type":"type"},{"doc":"Plaid API /institutions/search response schema.","ref":"Plaid.Institutions.SearchResponse.html","title":"Plaid.Institutions.SearchResponse","type":"module"},{"doc":"","ref":"Plaid.Institutions.SearchResponse.html#t:t/0","title":"Plaid.Institutions.SearchResponse.t/0","type":"type"},{"doc":"Plaid Investments Get Holdings Response schema","ref":"Plaid.Investments.GetHoldingsResponse.html","title":"Plaid.Investments.GetHoldingsResponse","type":"module"},{"doc":"","ref":"Plaid.Investments.GetHoldingsResponse.html#t:t/0","title":"Plaid.Investments.GetHoldingsResponse.t/0","type":"type"},{"doc":"Plaid Investments Get Transactions Response schema","ref":"Plaid.Investments.GetTransactionsResponse.html","title":"Plaid.Investments.GetTransactionsResponse","type":"module"},{"doc":"","ref":"Plaid.Investments.GetTransactionsResponse.html#t:t/0","title":"Plaid.Investments.GetTransactionsResponse.t/0","type":"type"},{"doc":"Plaid Investments Holding schema","ref":"Plaid.Investments.Holding.html","title":"Plaid.Investments.Holding","type":"module"},{"doc":"","ref":"Plaid.Investments.Holding.html#t:t/0","title":"Plaid.Investments.Holding.t/0","type":"type"},{"doc":"Plaid Investments Security schema","ref":"Plaid.Investments.Security.html","title":"Plaid.Investments.Security","type":"module"},{"doc":"","ref":"Plaid.Investments.Security.html#t:t/0","title":"Plaid.Investments.Security.t/0","type":"type"},{"doc":"Plaid Investments Transaction schema","ref":"Plaid.Investments.Transaction.html","title":"Plaid.Investments.Transaction","type":"module"},{"doc":"","ref":"Plaid.Investments.Transaction.html#t:t/0","title":"Plaid.Investments.Transaction.t/0","type":"type"},{"doc":"Plaid API /item/get response schema.","ref":"Plaid.Item.GetResponse.html","title":"Plaid.Item.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Item.GetResponse.html#t:t/0","title":"Plaid.Item.GetResponse.t/0","type":"type"},{"doc":"Plaid item status schema.","ref":"Plaid.Item.Status.html","title":"Plaid.Item.Status","type":"module"},{"doc":"","ref":"Plaid.Item.Status.html#t:t/0","title":"Plaid.Item.Status.t/0","type":"type"},{"doc":"Plaid item status investments information.","ref":"Plaid.Item.Status.Investments.html","title":"Plaid.Item.Status.Investments","type":"module"},{"doc":"","ref":"Plaid.Item.Status.Investments.html#t:t/0","title":"Plaid.Item.Status.Investments.t/0","type":"type"},{"doc":"Plaid item status last webhook information.","ref":"Plaid.Item.Status.LastWebhook.html","title":"Plaid.Item.Status.LastWebhook","type":"module"},{"doc":"","ref":"Plaid.Item.Status.LastWebhook.html#t:t/0","title":"Plaid.Item.Status.LastWebhook.t/0","type":"type"},{"doc":"Plaid item status transactions information.","ref":"Plaid.Item.Status.Transactions.html","title":"Plaid.Item.Status.Transactions","type":"module"},{"doc":"","ref":"Plaid.Item.Status.Transactions.html#t:t/0","title":"Plaid.Item.Status.Transactions.t/0","type":"type"},{"doc":"Plaid API /item/webhook/update response schema.","ref":"Plaid.Item.UpdateWebhookResponse.html","title":"Plaid.Item.UpdateWebhookResponse","type":"module"},{"doc":"","ref":"Plaid.Item.UpdateWebhookResponse.html#t:t/0","title":"Plaid.Item.UpdateWebhookResponse.t/0","type":"type"},{"doc":"Plaid Liabilities Credit Schema.","ref":"Plaid.Liabilities.Credit.html","title":"Plaid.Liabilities.Credit","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Credit.html#t:t/0","title":"Plaid.Liabilities.Credit.t/0","type":"type"},{"doc":"Plaid Liabilities Credit APR Schema.","ref":"Plaid.Liabilities.Credit.APR.html","title":"Plaid.Liabilities.Credit.APR","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Credit.APR.html#t:t/0","title":"Plaid.Liabilities.Credit.APR.t/0","type":"type"},{"doc":"Plaid /liabilities/get API Response Schema.","ref":"Plaid.Liabilities.GetResponse.html","title":"Plaid.Liabilities.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Liabilities.GetResponse.html#t:t/0","title":"Plaid.Liabilities.GetResponse.t/0","type":"type"},{"doc":"Plaid Liabilities Mortage Schema.","ref":"Plaid.Liabilities.Mortgage.html","title":"Plaid.Liabilities.Mortgage","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Mortgage.html#t:t/0","title":"Plaid.Liabilities.Mortgage.t/0","type":"type"},{"doc":"Plaid Liabilities Mortage Interest Rate Schema.","ref":"Plaid.Liabilities.Mortgage.InterestRate.html","title":"Plaid.Liabilities.Mortgage.InterestRate","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Mortgage.InterestRate.html#t:t/0","title":"Plaid.Liabilities.Mortgage.InterestRate.t/0","type":"type"},{"doc":"Plaid Liabilities Student Schema.","ref":"Plaid.Liabilities.Student.html","title":"Plaid.Liabilities.Student","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Student.html#t:t/0","title":"Plaid.Liabilities.Student.t/0","type":"type"},{"doc":"Plaid Liabilities Student Loan Status Schema.","ref":"Plaid.Liabilities.Student.LoanStatus.html","title":"Plaid.Liabilities.Student.LoanStatus","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Student.LoanStatus.html#t:t/0","title":"Plaid.Liabilities.Student.LoanStatus.t/0","type":"type"},{"doc":"Plaid Liabilities Student PSLF Status Schema.","ref":"Plaid.Liabilities.Student.PSLFStatus.html","title":"Plaid.Liabilities.Student.PSLFStatus","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Student.PSLFStatus.html#t:t/0","title":"Plaid.Liabilities.Student.PSLFStatus.t/0","type":"type"},{"doc":"Plaid Liabilities Student Repayment Plan Schema.","ref":"Plaid.Liabilities.Student.RepaymentPlan.html","title":"Plaid.Liabilities.Student.RepaymentPlan","type":"module"},{"doc":"","ref":"Plaid.Liabilities.Student.RepaymentPlan.html#t:t/0","title":"Plaid.Liabilities.Student.RepaymentPlan.t/0","type":"type"},{"doc":"Plaid Payment Initiation Address schema.","ref":"Plaid.PaymentInitiation.Address.html","title":"Plaid.PaymentInitiation.Address","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.Address.html#t:t/0","title":"Plaid.PaymentInitiation.Address.t/0","type":"type"},{"doc":"Plaid payment initiation payment amount.","ref":"Plaid.PaymentInitiation.Amount.html","title":"Plaid.PaymentInitiation.Amount","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.Amount.html#t:t/0","title":"Plaid.PaymentInitiation.Amount.t/0","type":"type"},{"doc":"Plaid payment initiation recipient BACS details.","ref":"Plaid.PaymentInitiation.BACS.html","title":"Plaid.PaymentInitiation.BACS","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.BACS.html#t:t/0","title":"Plaid.PaymentInitiation.BACS.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/payment/create response schema.","ref":"Plaid.PaymentInitiation.CreatePaymentResponse.html","title":"Plaid.PaymentInitiation.CreatePaymentResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.CreatePaymentResponse.html#t:t/0","title":"Plaid.PaymentInitiation.CreatePaymentResponse.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/recipient/create response schema.","ref":"Plaid.PaymentInitiation.CreateRecipientResponse.html","title":"Plaid.PaymentInitiation.CreateRecipientResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.CreateRecipientResponse.html#t:t/0","title":"Plaid.PaymentInitiation.CreateRecipientResponse.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/payment/get response schema.","ref":"Plaid.PaymentInitiation.GetPaymentResponse.html","title":"Plaid.PaymentInitiation.GetPaymentResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.GetPaymentResponse.html#t:t/0","title":"Plaid.PaymentInitiation.GetPaymentResponse.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/recipient/get response schema.","ref":"Plaid.PaymentInitiation.GetRecipientResponse.html","title":"Plaid.PaymentInitiation.GetRecipientResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.GetRecipientResponse.html#t:t/0","title":"Plaid.PaymentInitiation.GetRecipientResponse.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/payment/list response schema.","ref":"Plaid.PaymentInitiation.ListPaymentsResponse.html","title":"Plaid.PaymentInitiation.ListPaymentsResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.ListPaymentsResponse.html#t:t/0","title":"Plaid.PaymentInitiation.ListPaymentsResponse.t/0","type":"type"},{"doc":"Plaid API /payment_initiation/recipient/list response schema.","ref":"Plaid.PaymentInitiation.ListRecipientsResponse.html","title":"Plaid.PaymentInitiation.ListRecipientsResponse","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.ListRecipientsResponse.html#t:t/0","title":"Plaid.PaymentInitiation.ListRecipientsResponse.t/0","type":"type"},{"doc":"Plaid API payment initiation payment schema.","ref":"Plaid.PaymentInitiation.Payment.html","title":"Plaid.PaymentInitiation.Payment","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.Payment.html#t:t/0","title":"Plaid.PaymentInitiation.Payment.t/0","type":"type"},{"doc":"Plaid API payment initiation recipient schema.","ref":"Plaid.PaymentInitiation.Recipient.html","title":"Plaid.PaymentInitiation.Recipient","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.Recipient.html#t:t/0","title":"Plaid.PaymentInitiation.Recipient.t/0","type":"type"},{"doc":"Plaid payment initiation payment schedule.","ref":"Plaid.PaymentInitiation.Schedule.html","title":"Plaid.PaymentInitiation.Schedule","type":"module"},{"doc":"","ref":"Plaid.PaymentInitiation.Schedule.html#t:t/0","title":"Plaid.PaymentInitiation.Schedule.t/0","type":"type"},{"doc":"Plaid API /transactions/get response schema.","ref":"Plaid.Transactions.GetResponse.html","title":"Plaid.Transactions.GetResponse","type":"module"},{"doc":"","ref":"Plaid.Transactions.GetResponse.html#t:t/0","title":"Plaid.Transactions.GetResponse.t/0","type":"type"},{"doc":"Plaid Transaction schema.","ref":"Plaid.Transactions.Transaction.html","title":"Plaid.Transactions.Transaction","type":"module"},{"doc":"","ref":"Plaid.Transactions.Transaction.html#t:t/0","title":"Plaid.Transactions.Transaction.t/0","type":"type"},{"doc":"[Plaid Transaction Location schema.](https://plaid.com/docs/api/products/#transactions-get-response-location0","ref":"Plaid.Transactions.Transaction.Location.html","title":"Plaid.Transactions.Transaction.Location","type":"module"},{"doc":"","ref":"Plaid.Transactions.Transaction.Location.html#t:t/0","title":"Plaid.Transactions.Transaction.Location.t/0","type":"type"},{"doc":"Plaid Transaction Payment-Meta schema.","ref":"Plaid.Transactions.Transaction.PaymentMeta.html","title":"Plaid.Transactions.Transaction.PaymentMeta","type":"module"},{"doc":"","ref":"Plaid.Transactions.Transaction.PaymentMeta.html#t:t/0","title":"Plaid.Transactions.Transaction.PaymentMeta.t/0","type":"type"},{"doc":"Plaid ASSETS: ERROR webhooks schema","ref":"Plaid.Webhooks.AssetsError.html","title":"Plaid.Webhooks.AssetsError","type":"module"},{"doc":"","ref":"Plaid.Webhooks.AssetsError.html#t:t/0","title":"Plaid.Webhooks.AssetsError.t/0","type":"type"},{"doc":"Plaid ASSETS: PRODUCT_READY webhooks schema","ref":"Plaid.Webhooks.AssetsProductReady.html","title":"Plaid.Webhooks.AssetsProductReady","type":"module"},{"doc":"","ref":"Plaid.Webhooks.AssetsProductReady.html#t:t/0","title":"Plaid.Webhooks.AssetsProductReady.t/0","type":"type"},{"doc":"Plaid auth webhooks schemaUsed with AUTOMATICALLY_VERIFIED and VERIFICATION_EXPIRED webhooks.","ref":"Plaid.Webhooks.Auth.html","title":"Plaid.Webhooks.Auth","type":"module"},{"doc":"","ref":"Plaid.Webhooks.Auth.html#t:t/0","title":"Plaid.Webhooks.Auth.t/0","type":"type"},{"doc":"Plaid HOLDINGS: DEFAULT_UPDATE webhooks schema","ref":"Plaid.Webhooks.HoldingsUpdate.html","title":"Plaid.Webhooks.HoldingsUpdate","type":"module"},{"doc":"","ref":"Plaid.Webhooks.HoldingsUpdate.html#t:t/0","title":"Plaid.Webhooks.HoldingsUpdate.t/0","type":"type"},{"doc":"Plaid INVESTMENTS_TRANSACTIONS: DEFAULT_UPDATE webhooks schema","ref":"Plaid.Webhooks.InvestmentsTransactionsUpdate.html","title":"Plaid.Webhooks.InvestmentsTransactionsUpdate","type":"module"},{"doc":"","ref":"Plaid.Webhooks.InvestmentsTransactionsUpdate.html#t:t/0","title":"Plaid.Webhooks.InvestmentsTransactionsUpdate.t/0","type":"type"},{"doc":"Plaid webhooks ITEM: ERROR schema","ref":"Plaid.Webhooks.ItemError.html","title":"Plaid.Webhooks.ItemError","type":"module"},{"doc":"","ref":"Plaid.Webhooks.ItemError.html#t:t/0","title":"Plaid.Webhooks.ItemError.t/0","type":"type"},{"doc":"Plaid webhooks ITEM: PENDING_EXPIRATION schema","ref":"Plaid.Webhooks.ItemPendingExpiration.html","title":"Plaid.Webhooks.ItemPendingExpiration","type":"module"},{"doc":"","ref":"Plaid.Webhooks.ItemPendingExpiration.html#t:t/0","title":"Plaid.Webhooks.ItemPendingExpiration.t/0","type":"type"},{"doc":"Plaid webhooks ITEM: USER_PERMISSION_REVOKED schema","ref":"Plaid.Webhooks.ItemUserPermissionRevoked.html","title":"Plaid.Webhooks.ItemUserPermissionRevoked","type":"module"},{"doc":"","ref":"Plaid.Webhooks.ItemUserPermissionRevoked.html#t:t/0","title":"Plaid.Webhooks.ItemUserPermissionRevoked.t/0","type":"type"},{"doc":"Plaid webhooks ITEM: WEBHOOK_UPDATE_ACKNOWLEDGED schema","ref":"Plaid.Webhooks.ItemWebhookUpdateAcknowledged.html","title":"Plaid.Webhooks.ItemWebhookUpdateAcknowledged","type":"module"},{"doc":"","ref":"Plaid.Webhooks.ItemWebhookUpdateAcknowledged.html#t:t/0","title":"Plaid.Webhooks.ItemWebhookUpdateAcknowledged.t/0","type":"type"},{"doc":"Plaid PAYMENT_INITIATION: PAYMENT_STATUS_UPDATE webhook schema","ref":"Plaid.Webhooks.PaymentInitiationPaymentStatusUpdate.html","title":"Plaid.Webhooks.PaymentInitiationPaymentStatusUpdate","type":"module"},{"doc":"","ref":"Plaid.Webhooks.PaymentInitiationPaymentStatusUpdate.html#t:t/0","title":"Plaid.Webhooks.PaymentInitiationPaymentStatusUpdate.t/0","type":"type"},{"doc":"Plaid webhooks TRANSACTIONS: TRANSACTIONS_REMOVED schema","ref":"Plaid.Webhooks.TransactionsRemoved.html","title":"Plaid.Webhooks.TransactionsRemoved","type":"module"},{"doc":"","ref":"Plaid.Webhooks.TransactionsRemoved.html#t:t/0","title":"Plaid.Webhooks.TransactionsRemoved.t/0","type":"type"},{"doc":"Plaid webhooks transactions update schemaUsed with INITIAL_UPDATE, HISTORICAL_UPDATE, and DEFAULT_UPDATE webhooks.","ref":"Plaid.Webhooks.TransactionsUpdate.html","title":"Plaid.Webhooks.TransactionsUpdate","type":"module"},{"doc":"","ref":"Plaid.Webhooks.TransactionsUpdate.html#t:t/0","title":"Plaid.Webhooks.TransactionsUpdate.t/0","type":"type"},{"doc":"Shared types used in the library.","ref":"Plaid.html","title":"Plaid","type":"module"},{"doc":"Configuration that can be passed to each authenticated request.:client_id - The client_id Plaid uses for authentication.:secret - The secret Plaid uses for authentication.:env - A supported Plaid environment.:test_api_host - A way to override the URL for requests. Useful for E2E or integration testing.client_id and secret are required.","ref":"Plaid.html#t:config/0","title":"Plaid.config/0","type":"type"},{"doc":"Supported environments in the Plaid API.","ref":"Plaid.html#t:env/0","title":"Plaid.env/0","type":"type"},{"doc":"Configuration that can be passed to any un-authenticated request.:env - A supported Plaid environment.:test_api_host - A way to override the URL for requests. Useful for E2E or integration testing.","ref":"Plaid.html#t:noauth_config/0","title":"Plaid.noauth_config/0","type":"type"},{"doc":"Plaid Address schema.","ref":"Plaid.Address.html","title":"Plaid.Address","type":"module"},{"doc":"","ref":"Plaid.Address.html#t:t/0","title":"Plaid.Address.t/0","type":"type"},{"doc":"Plaid API Error response Schema.","ref":"Plaid.Error.html","title":"Plaid.Error","type":"module"},{"doc":"","ref":"Plaid.Error.html#t:t/0","title":"Plaid.Error.t/0","type":"type"},{"doc":"The most simple response that the Plaid API provides.","ref":"Plaid.SimpleResponse.html","title":"Plaid.SimpleResponse","type":"module"},{"doc":"","ref":"Plaid.SimpleResponse.html#t:t/0","title":"Plaid.SimpleResponse.t/0","type":"type"},{"doc":"Plaid Elixir Library Simply Beautiful Elixir bindings for the Plaid API.","ref":"readme.html","title":"Plaid Elixir Library","type":"extras"},{"doc":"I'm working to get this library to a v1 state, until then it is considered un-stable and can make breaking changes while using the leading-zero 0.x.x version number according to the semver specification.","ref":"readme.html#beware-of-v0","title":"Plaid Elixir Library - Beware of v0","type":"extras"},{"doc":"Provide FANTASTIC documentationFull plaid API coverageUse the plaid API versioning planReturn well-defined structs, always","ref":"readme.html#motivation-principles","title":"Plaid Elixir Library - Motivation &amp; Principles","type":"extras"},{"doc":"# get auth data Plaid.Auth.get(&quot;access-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;) # get item details Plaid.Item.get(&quot;access-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;, env: :production) # refresh transactions Plaid.Transactions.refresh(&quot;access-prod-123xxx&quot;, client_id: &quot;123&quot;, secret: &quot;abc&quot;, env: :development) # get categories Plaid.Categories.get(env: :production)","ref":"readme.html#example-usage","title":"Plaid Elixir Library - Example Usage","type":"extras"},{"doc":"Plaid.AccountsPlaid.AssetReportPlaid.AuthPlaid.BalancePlaid.IdentityPlaid.InstitutionPlaid.InvestmentsPlaid.ItemPlaid.LiabilitiesPlaid.PaymentInitiationPlaid.TransactionsPlaid.WebhooksFull Documentation on HexDocs.Each function takes a Plaid.config keyword list as it's trailing argument. Authenticated requests require a client_id and secert at minimum for authentication with the plaid API.You can also pass an env option as either :production, :development, or :sandbox (default).The choice to avoid using application configuration is due to the anti-pattern documented by elixir of libraries using application configuration. Passing &quot;configuration&quot; to each function avoids the library touching any global state. As well as making function calls objectively more &quot;functional&quot;.Likely you will need to pass keys dynamically anyway for development/production, overwriting the need for global application config. Therefore using patterns like those outlined in this blog post and using a test mocking library like Mox help aid in making code more clear.","ref":"readme.html#api","title":"Plaid Elixir Library - API","type":"extras"},{"doc":"Add elixir_plaid to your list of dependencies in mix.exs:def deps do [ {:elixir_plaid, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Plaid Elixir Library - Installation","type":"extras"},{"doc":"Each major version of elixir_plaid targets a specific version of the Plaid API:API versionpackage version2020-09-14 (latest)0.x.xFor information about what has changed between API versions, head to the version changelog.","ref":"readme.html#versioning","title":"Plaid Elixir Library - Versioning","type":"extras"},{"doc":"✅ - Full Coverage🏗 - In Progress🗺 - On the RoadmapAPIStatusAccount✅Asset Report✅Auth✅Balance✅Bank Transfers (beta)🗺Deposit Switch (beta)🗺Employer🗺Identity✅Institution✅Investments✅Item✅Liabilities✅Payment Initiation (UK and Europe)✅Processor🗺Sandbox🗺Token🗺Transactions✅Webhooks🏗","ref":"readme.html#api-coverage","title":"Plaid Elixir Library - API Coverage","type":"extras"},{"doc":"Bug reports and pull requests are welcome on GitHub. See contributing guidelines for more details.","ref":"readme.html#contributing","title":"Plaid Elixir Library - Contributing","type":"extras"},{"doc":"The package is available as open source under the terms of the MIT License.","ref":"readme.html#license","title":"Plaid Elixir Library - License","type":"extras"},{"doc":"How to ContributeI especially want to help first-time contributors to open source and/or elixir contribute to this project.Search for an existing issue that may have the answers you need.Create an issue to collaborate with the maintainers on the problem.Create an MR and schedule it for a release with the maintainers.Alternatively, just create a PR! They are always welcome 🤗","ref":"contributing.html","title":"How to Contribute","type":"extras"},{"doc":"Provide FANTASTIC documentation: Provide just the right amount of documentation for developers to find what they need.Full plaid API coverage: Do our best to keep pairity with the production Plaid API.Use the plaid API versioning plan: Maintain a version of this library that matches each supported version of the plaid API.Return well-defined structs, always: Structs are a form of documentation, they make it easier for developers to work with responses. Always return them.","ref":"contributing.html#motivation-principles-explained","title":"How to Contribute - Motivation &amp; Principles; Explained","type":"extras"},{"doc":"Webhooks exampleImplementing webhook verification can be very tricky. Hopefully this library can help make it a little less painful by strictly adhering to contract with the Plaid API so you don't have to worry about it.This is the path of least resistence gathered from phoenix/plug documentation. There may be other nuances that your app needs to account for. This guide is based on a base generated phoenix app with mix phx.new my_app.To start using plaid webhooks in a standard phoenix application, you can do the following.Raw body accessRegister a webhook routeSetup a controller","ref":"webhooks.html","title":"Webhooks example","type":"extras"},{"doc":"Plaid uses a verification token that is generated from the &quot;raw&quot; request body sent to your webhook endpoint. You will need access to that same &quot;raw&quot; request body to verify the request using their token.To do so, add a custom body reader so that you'll have access to the raw body in the controller.Pulled straight from the Plug.Parser docs.# lib/my_app_web/endpoint.ex defmodule CacheBodyReader do def read_body(conn, opts) do {:ok, body, conn} = Plug.Conn.read_body(conn, opts) conn = update_in(conn.assigns[:raw_body], &amp;[body | &amp;1 || []]) {:ok, body, conn} end end plug Plug.Parsers, parsers: [:urlencoded, :multipart, :json], pass: [&quot;*/*&quot;], body_reader: {CacheBodyReader, :read_body, []}, json_decoder: Phoenix.json_library()","ref":"webhooks.html#raw-body-access","title":"Webhooks example - Raw body access","type":"extras"},{"doc":"You need a route that your app exposes so that Plaid can make an API call to you.# lib/my_app_web/router.ex scope &quot;/webhooks&quot;, MyAppWeb do pipe_through :api post &quot;/plaid&quot;, PlaidWebhookController, :index end","ref":"webhooks.html#register-a-webhook-route","title":"Webhooks example - Register a webhook route","type":"extras"},{"doc":"Now you need to handle any requests that come to the /webhooks/plaid route on your app.Notice how we're using the raw body from conn.assigns[:raw_body] setup in the first step.# lib/my_app_web/controllers/plaid_webhook_controller.ex defmodule MyAppWeb.PlaidWebhookController do use MyAppWeb, :controller def index(conn, _) do jwt = conn |&gt; get_req_header(&quot;plaid-verification&quot;) |&gt; List.first() raw_body = conn.assigns[:raw_body] config = [client_id: &quot;123&quot;, secret: &quot;abc&quot;] case Plaid.Webhooks.verify_and_construct(jwt, raw_body, config) do {:ok, body} -&gt; handle_webhook(body) json(conn, %{&quot;status&quot; =&gt; &quot;ok&quot;}) _ -&gt; conn |&gt; put_status(400) |&gt; json(%{&quot;status&quot; =&gt; &quot;error&quot;}) end end defp handle_webhook(%{ webhook_type: &quot;TRANSACTIONS&quot;, webhook_code: &quot;DEFAULT_UPDATE&quot;, item_id: item_id }) do # Update transactions with item_id end defp handle_webhook(%{ webhook_type: &quot;AUTH&quot;, webhook_code: &quot;VERIFICATION_EXPIRED&quot;, account_id: account_id }) do # Tell user to re-verify end defp handle_webhook(_), do: :ok endThere you have it! You are now setup to process webhooks from plaid 🎉","ref":"webhooks.html#setup-a-controller","title":"Webhooks example - Setup a controller","type":"extras"}]